DevStudioCompatibleCCompiler (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.devstudio.DevStudioCompatibleCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.devstudio
Class DevStudioCompatibleCCompiler

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
              net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
                  net.sf.antcontrib.cpptasks.compiler.PrecompilingCommandLineCompiler
                      net.sf.antcontrib.cpptasks.compiler.PrecompilingCommandLineCCompiler
                          net.sf.antcontrib.cpptasks.devstudio.DevStudioCompatibleCCompiler

All Implemented Interfaces:
  java.lang.Cloneable, Compiler, PrecompilingCompiler, Processor

Direct Known Subclasses:
  DevStudio2005CCompiler, DevStudioCCompiler, IntelWin32CCompiler, IntelWin64CCompiler

    public abstract class DevStudioCompatibleCCompiler

extends PrecompilingCommandLineCCompiler

An abstract base class for compilers that are basically command line compatible with Microsoft(r) C/C++ Optimizing Compiler

Author:
  Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Constructor Summary
`protected` | `DevStudioCompatibleCCompiler(java.lang.String command, java.lang.String identifierArg, boolean newEnvironment, org.apache.tools.ant.types.Environment env)`

Method Summary
`protected void` | `addDebugSwitch(java.util.Vector args)`
`protected void` | `addImpliedArgs(java.util.Vector args, boolean debug, boolean multithreaded, boolean exceptions, LinkType linkType, java.lang.Boolean rtti, OptimizationEnum optimization)`
`protected void` | `addWarningSwitch(java.util.Vector args, int level)`
`protected CompilerConfiguration` | `createPrecompileGeneratingConfig(CommandLineCompilerConfiguration baseConfig, java.io.File prototype, java.lang.String lastInclude)`
`protected CompilerConfiguration` | `createPrecompileUsingConfig(CommandLineCompilerConfiguration baseConfig, java.io.File prototype, java.lang.String lastInclude, java.lang.String[] exceptFiles)`
`protected void` | `getDefineSwitch(java.lang.StringBuffer buffer, java.lang.String define, java.lang.String value)`
`protected java.io.File[]` | `getEnvironmentIncludePath()`
`protected java.lang.String` | `getIncludeDirSwitch(java.lang.String includeDir)`
`protected void` | `getUndefineSwitch(java.lang.StringBuffer buffer, java.lang.String define)`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.PrecompilingCommandLineCCompiler
`createParser`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.PrecompilingCommandLineCompiler
`createPrecompileConfigurations`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
`addIncludes, buildDefineArguments, compile, createConfiguration, getArgumentCountPerInputFile, getCommand, getIdentifier, getInputFileArgument, getLibtool, getLibtoolCompiler, getMaximumCommandLength, getMaximumInputFilesPerCommand, getTotalArgumentLengthForInputFile, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
`canParse, createConfiguration, getBaseOutputName, getOutputFileNames, parseIncludes, resolveInclude`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`bid, changeEnvironment, clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.cpptasks.compiler.Processor
`bid, changeEnvironment, getLinker`

Constructor Detail

### DevStudioCompatibleCCompiler

    protected DevStudioCompatibleCCompiler(java.lang.String command,
                                           java.lang.String identifierArg,
                                           boolean newEnvironment,
                                           org.apache.tools.ant.types.Environment env)

Method Detail

### addImpliedArgs

    protected void addImpliedArgs(java.util.Vector args,
                                  boolean debug,
                                  boolean multithreaded,
                                  boolean exceptions,
                                  LinkType linkType,
                                  java.lang.Boolean rtti,
                                  OptimizationEnum optimization)

  Specified by:
    `addImpliedArgs` in class `CommandLineCompiler`

### addDebugSwitch

    protected void addDebugSwitch(java.util.Vector args)

### addWarningSwitch

    protected void addWarningSwitch(java.util.Vector args,
                                    int level)

  Specified by:
    `addWarningSwitch` in class `CommandLineCompiler`

### createPrecompileGeneratingConfig

    protected CompilerConfiguration createPrecompileGeneratingConfig(CommandLineCompilerConfiguration baseConfig,
                                                                     java.io.File prototype,
                                                                     java.lang.String lastInclude)

  Specified by:
    `createPrecompileGeneratingConfig` in class `PrecompilingCommandLineCompiler`

### createPrecompileUsingConfig

    protected CompilerConfiguration createPrecompileUsingConfig(CommandLineCompilerConfiguration baseConfig,
                                                                java.io.File prototype,
                                                                java.lang.String lastInclude,
                                                                java.lang.String[] exceptFiles)

  Specified by:
    `createPrecompileUsingConfig` in class `PrecompilingCommandLineCompiler`

### getDefineSwitch

    protected void getDefineSwitch(java.lang.StringBuffer buffer,
                                   java.lang.String define,
                                   java.lang.String value)

  Specified by:
    `getDefineSwitch` in class `CommandLineCompiler`

### getEnvironmentIncludePath

    protected java.io.File[] getEnvironmentIncludePath()

  Specified by:
    `getEnvironmentIncludePath` in class `CommandLineCompiler`

### getIncludeDirSwitch

    protected java.lang.String getIncludeDirSwitch(java.lang.String includeDir)

  Specified by:
    `getIncludeDirSwitch` in class `CommandLineCompiler`

### getUndefineSwitch

    protected void getUndefineSwitch(java.lang.StringBuffer buffer,
                                     java.lang.String define)

  Specified by:
    `getUndefineSwitch` in class `CommandLineCompiler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.